//
//	VidyoParticipant_Objc.h
//	VidyoClient
//
//	This file is auto generated, do not edit this file
//	Copyright (c) 2016 Vidyo, Inc. All rights reserved.
//

#import "VidyoContact_Objc.h"
typedef NS_ENUM(NSInteger, VCParticipantApplicationType){
	PARTICIPANT_APPLICATIONTYPE_None,
	PARTICIPANT_APPLICATIONTYPE_Recorder,
	PARTICIPANT_APPLICATIONTYPE_Gateway
};
typedef NS_ENUM(NSInteger, VCParticipantClearanceType){
	PARTICIPANT_CLEARANCETYPE_None,
	PARTICIPANT_CLEARANCETYPE_Member,
	PARTICIPANT_CLEARANCETYPE_Owner,
	PARTICIPANT_CLEARANCETYPE_Admin,
	PARTICIPANT_CLEARANCETYPE_Moderator
};
typedef NS_ENUM(NSInteger, VCParticipantGetContactResult){
	VCParticipantGetContactResultSUCCESS,
	VCParticipantGetContactResultMiscError
};
typedef NS_ENUM(NSInteger, VCParticipantHandState){
	VCParticipantHandStateUNRAISED,
	VCParticipantHandStateRAISED,
	VCParticipantHandStateAPPROVED,
	VCParticipantHandStateDISMISSED
};
typedef NS_ENUM(NSInteger, VCParticipantTrust){
	VCParticipantTrustLocal,
	VCParticipantTrustFederated,
	VCParticipantTrustAnonymous
};
@protocol VCParticipantIGetContactAsync

	-(void) onGetContactComplete:(VCContact*)contact Result:(VCParticipantGetContactResult)result;
@end
@interface VCParticipant : NSObject
{
	void* objPtr;
	@public
	id<VCParticipantIGetContactAsync> participantIGetContactAsync;
}

	@property NSMutableString* id;
	@property NSMutableString* name;
	@property VCParticipantTrust trust;
	@property NSMutableString* userId;
	-(void) dealloc;
	-(VCParticipantApplicationType) getApplicationType;
	-(VCParticipantClearanceType) getClearanceType;
	-(VCContact*) getContact:(VCContact*)contact;
	-(BOOL) getContactAsync:(id<VCParticipantIGetContactAsync>)participantIGetContactAsync;
	-(NSString*) getId;
	-(NSString*) getName;
	-(VCParticipantTrust) getTrust;
	-(NSString*) getUserId;
	-(BOOL) isHidden;
	-(BOOL) isLocal;
	-(BOOL) isRecording;
	-(BOOL) isSelectable;
	-(id) initWithObject:(void*)rPtr;
	-(void*)getObjectPtr;
@end
